import request from '@/utils/request';

export interface ListParams  {
  page: number;
  pageSize: number;
  treeId?: string;
  tmpToken?: string;
}
export async function list(params:ListParams) {
  return request('/api/system/library', {
    method: 'GET',
    params
  });
}
export interface supplierDetailParams  {
  page: number;
  pageSize: number;
  captcha?: string;
  tmpToken?: string;
}
export async function supplierDetail(params:supplierDetailParams) {
  return request(`/api/system/supplierDetail`, {
    method: 'GET',
    params
  });
}
export async function treeData() {
  return request('/api/system/treeData', {
    method: 'GET'
  });
}
export async function systemDict(dict:String) {
  return request(`/api/system/${dict}`, {
    method: 'GET'
  });
}